about summary refs log tree commit diff
path: root/sync
diff options
context:
space:
mode:
Diffstat (limited to 'sync')
-rwxr-xr-xsync11
1 files changed, 11 insertions, 0 deletions
diff --git a/sync b/sync
new file mode 100755
index 0000000..1c1dae2
--- /dev/null
+++ b/sync
@@ -0,0 +1,11 @@
+#!/bin/bash -e
+
+if ! git remote | grep -x suckless; then
+    git remote add suckless git://git.suckless.org/dmenu
+fi
+
+# back up, since we are rewriting history
+git branch "$(date +%Y%m%d%H%M%S%N)"
+
+git fetch -p suckless
+git rebase -p suckless/master